% Function to compute bi-continuous model based on N stochastic standing
% waves.
% Check latex/equations.pdf for formatted equation.
function S = bi_continuous_model(r, N, zp, kc, kn_vector, phin_vector)
% Normalized amplitude
An = 1;
% Because normalized amplitude is one, the mean square amplitude is 1
% otherwise it must be computed from An
A = 1;
% Coefficient to the sum
coefficient = 1 / sqrt(N / 2);
summation = 0;
% Initialize a gamma distribution

%Compute the summation in the bi-continuous model
parfor i = 1:N
    summation = summation + An * cos(dot(kn_vector(i, :), r) + phin_vector(i));
end

S = coefficient * summation;
