% Creates a spectral wave vector of magnitude k_mag.
% The direction of the wave vector is uniform over solid angle 4*pi
function k = create_k_vector(k_mag)
theta = rand * 2 * pi;
u = rand * 2 - 1;
x = sqrt(1 - u ^ 2) * cos(theta);
y = sqrt(1 - u ^ 2) * sin(theta);
z = u;
k = [x y z] * k_mag;