% Function for computing Fick's Law of Diffusion given the parameters
% http://en.wikipedia.org/wiki/Fick's_laws_of_diffusion
% J=-D * d(phi)/d(x)
% D=diffusivity in length^2*time^-1
% d(phi) = d_phi in amount of substance per unit volume
% d(x) = d_x in length
function J = ficks_law(diffusivity, d_phi, d_x)
J = -diffusivity * d_phi / d_x;