% Function for computing Fick's Law of Diffusion given the parameters in 2d
% http://en.wikipedia.org/wiki/Fick's_laws_of_diffusion
% J=-D * grad(phi)=-D * (d(phi_x)/d(x) + d(phi_y)/d(y))
% D=diffusivity in length^2*time^-1
% d(phi_x) = d_phi_x in amount of substance per unit volume
% d(phi_y) = d_phi_y in amount of substance per unit volume
% d(x) = d_x in length
% d(y) = d_y in length

function J = ficks_law_2d(diffusivity, d_phi_x, d_phi_y, d_x, d_y)
J = -diffusivity * (d_phi_x / d_x + d_phi_y / d_y);