% Samples n independent samples without replacement where the frequencies
% are defined by the values in the vector. The vector represents a pdf
% If there are too many samples, then return vector
function samples = sample_from_vector(vector, n)
if n >= size(vector, 2)
    samples = 1:size(vector, 2);
    return
end

vector_size = size(vector, 2);
cum_vector = cumsum([0, vector]);
indexes = 1:vector_size + 1;
indexed_vectors = [cum_vector; indexes]';
samples = zeros(n, 1);
for i=1:n
    r = rand;
    for j=1:vector_size
        if indexed_vectors(j, 1) < r && r < indexed_vectors(j + 1, 1)
            samples(i,1) = indexed_vectors(j, 2);
            vector(j) = 0;
            vector = vector / sum(vector);
            cum_vector = cumsum([0, vector]);
            indexed_vectors = [cum_vector; indexes]';
            break;
        end
    end
end